#include <iostream>

using namespace std;

int main()
{
    int n, k;
    cin >> n >> k;
    int niz[n];
    int br_karte = 0, karta = 0;
    for(int i = 0; i < n; i ++){
        cin >> niz[i];
        if(niz[i] == k) br_karte = i;
    }
    ///cout << br_karte;

    if(br_karte + 1 == n) karta = niz[0];
    else karta = niz[br_karte + 1];

    cout << karta;

    return 0;
}